package com.goafanti.patent.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class PatentManageListBo {
	private String	id;

	private String	uid;

	private Integer	serialNumber;

	private String	patentNumber;

	private String	office;

	private Integer	locationProvince;

	private String	unitName;

	private String	patentName;

	private Integer	patentState;

	private Date	createTime;

	private Date	patentApplicationDate;

	private Date	authorizedDate;

	private String	author;

	private String	founder;

	private Integer	patentCatagory;

	private Integer	contractNumber;
	
	public Integer getContractNumber() {
		return contractNumber;
	}

	public void setContractNumber(Integer contractNumber) {
		this.contractNumber = contractNumber;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getPatentCatagory() {
		return patentCatagory;
	}

	public void setPatentCatagory(Integer patentCatagory) {
		this.patentCatagory = patentCatagory;
	}

	public String getFounder() {
		return founder;
	}

	public void setFounder(String founder) {
		this.founder = founder;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getPatentNumber() {
		return patentNumber;
	}

	public void setPatentNumber(String patentNumber) {
		this.patentNumber = patentNumber;
	}

	public String getOffice() {
		return office;
	}

	public void setOffice(String office) {
		this.office = office;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public Integer getLocationProvince() {
		return locationProvince;
	}

	public void setLocationProvince(Integer locationProvince) {
		this.locationProvince = locationProvince;
	}

	public String getPatentName() {
		return patentName;
	}

	public void setPatentName(String patentName) {
		this.patentName = patentName;
	}

	public Integer getPatentState() {
		return patentState;
	}

	public void setPatentState(Integer patentState) {
		this.patentState = patentState;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getPatentApplicationDate() {
		return patentApplicationDate;
	}

	public void setPatentApplicationDate(Date patentApplicationDate) {
		this.patentApplicationDate = patentApplicationDate;
	}

	public Date getAuthorizedDate() {
		return authorizedDate;
	}

	public void setAuthorizedDate(Date authorizedDate) {
		this.authorizedDate = authorizedDate;
	}

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	// 授权日/发文日
	public String getAuthorizedFormattedDate() {
		if (this.authorizedDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getAuthorizedDate(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setAuthorizedFormattedDate(String authorizedFormattedDate) {

	}

	// 申请日/受理日
	public String getPatentApplicationFormattedDate() {
		if (this.patentApplicationDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getPatentApplicationDate(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setPatentApplicationFormattedDate(String patentApplicationFormattedDate) {

	}

	// 创建时间
	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}

}
